Bug 1291353 - Review Request: nodejs-builtin-modules - List of the Node.js builtin modules
Review Request: nodejs-builtin-modules - List of the Node.js builtin modules
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 1291392
  Show dependency treegraph
 
Reported: 2015-12-14 11:36 EST by Jared Smith
Modified: 2015-12-20 13:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-20 13:07:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-12-14 11:36:50 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-builtin-modules/nodejs-builtin-modules.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-builtin-modules/nodejs-builtin-modules-1.1.0-1.fc24.src.rpm
Description: List of Node.js builtin modules
Fedora Account System Username: jsmith
Comment 1 Parag AN(पराग) 2015-12-14 23:36:30 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
1) I think explicit "Requires: nodejs" is not required.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 6 files have
     unknown license. Detailed output of licensecheck in
     /home/parag/1291353-nodejs-builtin-modules/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-builtin-modules-1.1.0-1.fc24.noarch.rpm
          nodejs-builtin-modules-1.1.0-1.fc24.src.rpm
nodejs-builtin-modules.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-builtin-modules.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-builtin-modules.noarch: W: only-non-binary-in-usr-lib
nodejs-builtin-modules.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-builtin-modules.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-builtin-modules.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-builtin-modules (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)



Provides
--------
nodejs-builtin-modules:
    nodejs-builtin-modules
    npm(builtin-modules)



Source checksums
----------------
https://registry.npmjs.org/builtin-modules/-/builtin-modules-1.1.0.tgz :
  CHECKSUM(SHA256) this package     : 3f7eb24f3c6814fe05f61e776b084a02486d5866229234a4fc399eaeb491c0ed
  CHECKSUM(SHA256) upstream package : 3f7eb24f3c6814fe05f61e776b084a02486d5866229234a4fc399eaeb491c0ed
https://raw.githubusercontent.com/sindresorhus/builtin-modules/d317be16fab701f2ac73bc9aa771f60ec052ed66/test.js :
  CHECKSUM(SHA256) this package     : 62021e7fbc7e8c82bdfbf8a90dcb13e744fdb120b12a423141036cec1dc14750
  CHECKSUM(SHA256) upstream package : 62021e7fbc7e8c82bdfbf8a90dcb13e744fdb120b12a423141036cec1dc14750


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20

APPROVED.
Comment 2 Gwyn Ciesla 2015-12-15 09:51:23 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-builtin-modules
Comment 3 Fedora Update System 2015-12-15 10:45:40 EST
nodejs-builtin-modules-1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d847b9e25c
Comment 4 Fedora Update System 2015-12-15 10:45:58 EST
nodejs-builtin-modules-1.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-790bd52db0
Comment 5 Fedora Update System 2015-12-15 10:46:16 EST
nodejs-builtin-modules-1.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3239c69aaf
Comment 6 Fedora Update System 2015-12-15 10:46:32 EST
nodejs-builtin-modules-1.1.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-87998243cf
Comment 7 Fedora Update System 2015-12-16 09:51:23 EST
nodejs-builtin-modules-1.1.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-builtin-modules'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-790bd52db0
Comment 8 Fedora Update System 2015-12-16 10:18:42 EST
nodejs-builtin-modules-1.1.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-builtin-modules'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-87998243cf
Comment 9 Fedora Update System 2015-12-16 10:20:03 EST
nodejs-builtin-modules-1.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-builtin-modules'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3239c69aaf
Comment 10 Fedora Update System 2015-12-16 21:00:18 EST
nodejs-builtin-modules-1.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-builtin-modules'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d847b9e25c
Comment 11 Piotr Popieluch 2015-12-20 13:07:11 EST
Built in rawhide, closing to unblock other review requests.

Note You need to log in before you can comment on or make changes to this bug.